Subject: Re: [PATCH] PowerPC: clockevents and HRT support

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 08 Nov 2006 17:21:51 +0300

Hello.

Paul Mackerras wrote:

>>    Arch-specific accounting hooks which this feature makes use of can't be 
>>called from the generic clockevents code.

> Which hooks specifically?

    You aren't saying you don't know your own code?
    Specifically, it's local account_process_time() function being called 
instead of updated_process_times() with CONFIG_VIRT_CPU_ACCOUNTING option on.

> The deterministic accounting is an essential feature; there's no way
> I'll accept a patch which disables it.

    I'm not talking you into accepting it in any way, this is just to keep 
people informed.
    And I left people a choice: they can either have fancy accounting or HRT, 
just not both at once. What's wrong with that?

> Paul.

WBR, Sergei